Bug 734657 - [Doc] New content for RHEL6 -- Trouble shooting Device Assignment [NEEDINFO]
Summary: [Doc] New content for RHEL6 -- Trouble shooting Device Assignment
Keywords:
Status: CLOSED EOL
Alias: None
Deadline: 2012-09-25
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Virtualization_Administration_Guide
Version: 6.3
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Platform Virt Docs
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-31 04:10 UTC by Don Dutile
Modified: 2015-03-30 05:16 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-30 05:16:13 UTC
rhod: needinfo? (alex.williamson)


Attachments (Terms of Use)

Description Don Dutile 2011-08-31 04:10:07 UTC
Description of problem:
Assigning a physical PCI device to a KVM guest has many subtle details which can easily go wrong for a user/admin.  Thus, adding a troubleshooting section to chapter 12 would be prudent.

So, here goes a recommended ToC:
  12.4 Troubleshooting Device Assignment
      .1 Multi-function devices (MFDs)
         .1 Security implications
         .2 hot-add versus static assignment
      .2 ACS Checking
      .3 PCI assignment (B:D.F) in guest
      .4 Potential driver issues
         .1 function-dependent addressing in MFDs
         .2 reset handling
      .5 How libvirt performs device assignment
         .1 PCI B:D.F assignment in guest
         .2 binding a device to pci-stub
         .3 reset-ing a PCI(e) device
         .4 binding device back to host 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 2 Don Dutile 2011-08-31 04:18:17 UTC
To add to list:
Limitations of hot-add of PCI device(s)
  -- limit of 8

Comment 10 Ronen Hod 2012-10-10 12:38:31 UTC
Alex,

I believe that you are the best person to own the device assignment troubleshooting guide. It is mostly between you and ddd.

Thanks, Ronen.

Comment 19 Laura Bailey 2015-03-30 05:16:13 UTC
Closing EOL, since this bug was opened years ago. If anyone still wants this content, feel free to re-open the bug or create a new one.


Note You need to log in before you can comment on or make changes to this bug.